Edit

Share via


Tenants - List Capacity Tenant Settings Overrides By Capacity Id

Returns list of tenant setting overrides that override for given capacity Id.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

Permissions

The caller must be a Fabric administrator or authenticate using a service principal.

Required Delegated Scopes

Tenant.Read.All or Tenant.ReadWrite.All

Limitations

Maximum 100 requests per minute.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/admin/capacities/{capacityId}/delegatedTenantSettingOverrides
GET https://api.fabric.microsoft.com/v1/admin/capacities/{capacityId}/delegatedTenantSettingOverrides?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
capacityId
path True

string (uuid)

The capacity ID.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

CapacityTenantSettingsByCapacityIdResponse

The operation was successful.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • Forbidden - The caller doesn't have permissions to call the API.

Examples

List capacities tenant settings overrides example

Sample request

GET https://api.fabric.microsoft.com/v1/admin/capacities/f51b705f-a409-4d40-9197-c5d5f349e2ef/delegatedTenantSettingOverrides

Sample response

{
  "value": [
    {
      "settingName": "TenantSettingForCapacityDelegatedSwitch",
      "title": "Capacity delegation test settings",
      "enabled": true,
      "canSpecifySecurityGroups": true,
      "enabledSecurityGroups": [
        {
          "graphId": "f51b705f-a409-4d40-9197-c5d5f349e2f0",
          "name": "TestComputeCdsa"
        },
        {
          "graphId": "1fecf19f-6e33-41b3-89fa-de8c821f3b79",
          "name": "TestComputeGroup2"
        },
        {
          "graphId": "64bc10f1-1f1b-4a7e-b7a0-c87d89cba2b4",
          "name": "TestCertifiers"
        }
      ],
      "tenantSettingGroup": "Delegation testing",
      "properties": [
        {
          "name": "testIntProp",
          "value": "5",
          "type": "Integer"
        }
      ],
      "delegateToWorkspace": false,
      "delegatedFrom": "Tenant"
    }
  ]
}

Definitions

Name Description
CapacityTenantSetting

Capacity tenant setting details.

CapacityTenantSettingsByCapacityIdResponse

A list of tenant settings overrides for given capacityId

DelegatedFrom

The Fabric component (workspace, capacity or domain) that the tenant setting was delegated from. Additional DelegatedFrom may be added over time.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

TenantSettingProperty

Tenant setting property.

TenantSettingPropertyType

Tenant setting property type. Additional tenant setting property types may be added over time.

TenantSettingSecurityGroup

Tenant setting security group.

CapacityTenantSetting

Capacity tenant setting details.

Name Type Description
canSpecifySecurityGroups

boolean

Indicates if the tenant setting is enabled for a security group. False - The tenant setting is enabled for the entire organization. True - The tenant setting is enabled for security groups.

delegateToWorkspace

boolean

Indicates whether the tenant setting can be delegated to a workspace admin. False - Workspace admin cannot override the tenant setting. True - Workspace admin can override the tenant setting.

delegatedFrom

DelegatedFrom

Tenant setting delegated from tenant, capacity or domain.

enabled

boolean

The status of the tenant setting. False - Disabled, True - Enabled.

enabledSecurityGroups

TenantSettingSecurityGroup[]

A list of enabled security groups.

excludedSecurityGroups

TenantSettingSecurityGroup[]

A list of excluded security groups.

properties

TenantSettingProperty[]

Tenant setting properties.

settingName

string

The name of the tenant setting.

tenantSettingGroup

string

Tenant setting group name.

title

string

The title of the tenant setting.

CapacityTenantSettingsByCapacityIdResponse

A list of tenant settings overrides for given capacityId

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

CapacityTenantSetting[]

A list of tenant settings that were overridden by capacity admin for given capacityId.

DelegatedFrom

The Fabric component (workspace, capacity or domain) that the tenant setting was delegated from. Additional DelegatedFrom may be added over time.

Value Description
Tenant

The setting is delegated from a tenant.

Capacity

The setting is delegated from a capacity.

Domain

The setting is delegated from a domain.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

TenantSettingProperty

Tenant setting property.

Name Type Description
name

string

The name of the property.

type

TenantSettingPropertyType

The type of the property.

value

string

The value of the property.

TenantSettingPropertyType

Tenant setting property type. Additional tenant setting property types may be added over time.

Value Description
FreeText

UI accepts any string for the text box.

Url

UI accepts only URLs for the text box.

Boolean

A checkbox in the UI.

MailEnabledSecurityGroup

UI accepts only email enabled security groups for the text box.

Integer

UI accepts only integers for the text box.

TenantSettingSecurityGroup

Tenant setting security group.

Name Type Description
graphId

string

The graph ID of the security group.

name

string

The name of the security group.